INode.BlocksMapUpdateInfo (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: INode, class: BlocksMapUpdateInfo

Package org.apache.hadoop.hdfs.server.namenode

# Class INode.BlocksMapUpdateInfo

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.INode.BlocksMapUpdateInfo

Enclosing class:
  INode

public static class INode.BlocksMapUpdateInfo extends Object
Information used for updating the blocksMap when deleting files.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `INode.BlocksMapUpdateInfo.UpdatedReplicationInfo`
  The blocks whose replication factor need to be updated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlocksMapUpdateInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDeleteBlock(BlockInfo toDelete)`
  Add a to-be-deleted block into the `toDeleteList`
  `void`
  `addUpdateReplicationFactor(BlockInfo block, short targetRepl)`
  `void`
  `clear()`
  Clear `toDeleteList`
  `List<BlockInfo>`
  `getToDeleteList()`
  `List<INode.BlocksMapUpdateInfo.UpdatedReplicationInfo>`
  `toUpdateReplicationInfo()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BlocksMapUpdateInfo

    public BlocksMapUpdateInfo()

- ## Method Details

  - ### getToDeleteList

    public List<BlockInfo> getToDeleteList()
    Returns:
      The list of blocks that need to be removed from blocksMap

  - ### toUpdateReplicationInfo

    public List<INode.BlocksMapUpdateInfo.UpdatedReplicationInfo> toUpdateReplicationInfo()

  - ### addDeleteBlock

    public void addDeleteBlock(BlockInfo toDelete)
    Add a to-be-deleted block into the `toDeleteList`
    Parameters:
      `toDelete` - the to-be-deleted block

  - ### addUpdateReplicationFactor

    public void addUpdateReplicationFactor(BlockInfo block, short targetRepl)

  - ### clear

    public void clear()
    Clear `toDeleteList`